Replace domain
Creates or replaces your domain and its settings with the values provided. If values are omitted, then defaults for those values are used for the new/replaced domain.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
domain*stringAn aname is a DNS domain name using only LDH characters (lower-case ASCII
letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case
of an internationalized domain name (IDN).
Examples:
example.orgxn--exmple-cua.de
Invalid Examples:
PartialCapExample.com- mixed case, should be lowercased
exämple.de- this is an IDN and should be IDNA-encoded
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$anamecustomerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"X-Request-Id?stringA unique identifier for the request
Domains
application/json- body
buynowPrice?integerListing price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int640 <= value <= 499999990000000floorPrice?integerFloor price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int640 <= value <= 499999990000000minbidPrice?integerMinimum bid price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int6420000000 <= value <= 4999999900000020000000maxLeasePeriod?integerThe maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.
2 <= value <= 602leasingEnabled?booleanThis flag specifies if the domain is enabled for purchases with multiple payments.
falsedisplayName?stringDisplay name of the domain, which is used to customized the domain name on the Lander. Can be both IDN and Mixed case. Characters must match the aname domain value when validated. If the displayName is not provided, the name will be used as the display name. Examples:
PartialCapExample.com(mixed case)exämple.de(IDN example)
""intakeStyle?stringIntake style option for landers. The possible values are representative of values provided in Afternic Website.
"BUYNOW""BUYNOW""PRICE_FORM""CUSTOM_LANDER"showLanderMakeOfferOption?booleanSpecifies if the domain has Make Offer as an enabled sales method on the custom lander.
falseshowLanderLeaseToOwnOption?booleanSpecifies if the domain has Lease-To-Own as an enabled sales method on the custom lander.
falseshowLanderBuynowOption?booleanSpecifies if the domain has Buynow as an enabled sales method on the custom lander.
truelandingPage?stringLanding page option. The possible values are representative of values provided in Afternic Website.
"PARKING_TYPE""PARKING_TYPE""SALES_TYPE"featured?booleanThis value indicates if the domain is to be listed as a featured domain
falsehidden?booleanThis value specifies if the domain should be hidden from being listed.
falseReturns the updated resource
application/json- response
buynowPrice?integerListing price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int640 <= value <= 499999990000000floorPrice?integerFloor price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int640 <= value <= 499999990000000minbidPrice?integerMinimum bid price in microunit USD. Whole dollars only. Note 1 USD = 1000000
int6420000000 <= value <= 4999999900000020000000maxLeasePeriod?integerThe maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.
2 <= value <= 602leasingEnabled?booleanThis flag specifies if the domain is enabled for purchases with multiple payments.
falsedisplayName?stringDisplay name of the domain, which is used to customized the domain name on the Lander. Can be both IDN and Mixed case. Characters must match the aname domain value when validated. If the displayName is not provided, the name will be used as the display name. Examples:
PartialCapExample.com(mixed case)exämple.de(IDN example)
""intakeStyle?stringIntake style option for landers. The possible values are representative of values provided in Afternic Website.
"BUYNOW""BUYNOW""PRICE_FORM""CUSTOM_LANDER"showLanderMakeOfferOption?booleanSpecifies if the domain has Make Offer as an enabled sales method on the custom lander.
falseshowLanderLeaseToOwnOption?booleanSpecifies if the domain has Lease-To-Own as an enabled sales method on the custom lander.
falseshowLanderBuynowOption?booleanSpecifies if the domain has Buynow as an enabled sales method on the custom lander.
truelandingPage?stringLanding page option. The possible values are representative of values provided in Afternic Website.
"PARKING_TYPE""PARKING_TYPE""SALES_TYPE"featured?booleanThis value indicates if the domain is to be listed as a featured domain
falsehidden?booleanThis value specifies if the domain should be hidden from being listed.
falseupdatedAt*stringThe UTC time the listing was last updated at.
date-timecreatedAt*stringThe UTC time the listing was created at.
date-timelistStatus*stringListing status for the given domain
"PENDING""FAILED_COMPLIANCE""ACTIVE""HIDDEN""ON_HOLD""SOLD""INACTIVE"tld?stringThe calculated TLD (top level domain) value for the domain.
name*stringAn aname is a DNS domain name using only LDH characters (lower-case ASCII
letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case
of an internationalized domain name (IDN).
Examples:
example.orgxn--exmple-cua.de
Invalid Examples:
PartialCapExample.com- mixed case, should be lowercased
exämple.de- this is an IDN and should be IDNA-encoded
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$anamecurl -X PUT 'https://api.afternic.com/v3/aftermarket/customers/my/domains/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "name": "example.com", "featured": true, "hidden": false, "buynowPrice": 500000000, "floorPrice": 500000000, "minbidPrice": 500000000, "maxLeasePeriod": 36, "leasingEnabled": false, "displayName": "exämple.de", "intakeStyle": "PRICE_FORM", "showLanderMakeOfferOption": false, "showLanderLeaseToOwnOption": false, "showLanderBuynowOption": false, "landingPage": "SALES_TYPE", "updatedAt": "2006-01-02T15:04:05Z", "createdAt": "2006-01-02T15:04:05Z", "listStatus": "ACTIVE", "tld": "co.uk"}